Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.image
Class ImageSequencer

    java.lang.Object
      |
      +--quicktime.app.spaces.Sequencer
            |
            +--quicktime.app.image.ImageSequencer

All Implemented Interfaces:
  ImageSpec

public class ImageSequencer
extends Sequencer
implements ImageSpec

This class handles the obtaining of a specific frame of data and its accompanying description from an ImageDataSequence object

Fields inherited from class quicktime.app.spaces.Sequencer
`kFirstFrame, kLastFrame, kLoopForwards, kLoopPalindrome, kNoLooping`

Constructor Summary
`ImageSequencer(ImageDataSequence images)` Construct an ImageSequencer that will iterate over an ImageDataSequence.

Method Summary
`ImageDescription` | `getDescription()` Returns the current image description
`EncodedImage` | `getImage()` Returns the current image data
`ImageDataSequence` | `getImageData()` Returns the current image data that is being used by the ImageSequencer
`void` | `setImageData(ImageDataSequence images)` Set the current Image Data that the ImageSequencer is using.
`int` | `size()` Return the number of frames
`java.lang.String` | `toString()` Returns a string representation of this class.

Methods inherited from class quicktime.app.spaces.Sequencer
`getCurrentFrame, getLooping, setCurrentFrame, setFrameNext, setFramePrevious, setLooping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageSequencer

    public ImageSequencer(ImageDataSequence images)

  Construct an ImageSequencer that will iterate over an ImageDataSequence.
  Parameters:
    `images` - the images

Method Detail

### getImageData

    public ImageDataSequence getImageData()

  Returns the current image data that is being used by the ImageSequencer
  Returns:
    the image data

### setImageData

    public void setImageData(ImageDataSequence images)

  Set the current Image Data that the ImageSequencer is using. You will NOT see a change in the ImageSequencer's appearance until your next draw call
  Parameters:
    `images` - the new image data

### getDescription

    public ImageDescription getDescription()
                                    throws QTException

  Returns the current image description
  Specified by:
    `getDescription` in interface `ImageSpec`
  Following copied from interface: `quicktime.app.image.ImageSpec`
  Returns:
    the ImageDescription of an Image

### getImage

    public EncodedImage getImage()

  Returns the current image data
  Specified by:
    `getImage` in interface `ImageSpec`
  Following copied from interface: `quicktime.app.image.ImageSpec`
  Returns:
    the image data

### size

    public int size()

  Return the number of frames
  Overrides:
    `size` in class `Sequencer`
  Following copied from class: `quicktime.app.spaces.Sequencer`
  Returns:
    the current number of frames of the sequencers data sequence

### toString

    public java.lang.String toString()

  Returns a string representation of this class.
  Overrides:
    `toString` in class `Sequencer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD